DOM::StyleSheet class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::StyleSheet Class Reference

The `StyleSheet` interface is the abstract base interface for any type of style sheet. More...

`#include <css_stylesheet.h>`

Inheritance diagram for DOM::StyleSheet:

[legend]
List of all members.

## Public Member Functions
| StyleSheet (const StyleSheet &other)
| StyleSheet (StyleSheetImpl *impl)
StyleSheet & | operator= (const StyleSheet &other)
DOM::DOMString | type () const
| This specifies the style sheet language for this style sheet.
bool | disabled () const
| `false` if the style sheet is applied to the document.
void | setDisabled (bool)
| see disabled
DOM::Node | ownerNode () const
| The node that associates this style sheet with the document.
StyleSheet | parentStyleSheet () const
| For style sheet languages that support the concept of style sheet inclusion, this attribute represents the including style sheet, if one exists.
DOM::DOMString | href () const
| If the style sheet is a linked style sheet, the value of its attribute is its location.
DOM::DOMString | title () const
| The advisory title.
MediaList | media () const
| The intended destination media for style information.
bool | isCSSStyleSheet () const
StyleSheetImpl * | handle () const
bool | isNull () const
## Protected Attributes
StyleSheetImpl * | impl

## Detailed Description

The `StyleSheet` interface is the abstract base interface for any type of style sheet.

It represents a single style sheet associated with a structured document. In HTML, the StyleSheet interface represents either an external style sheet, included via the HTML LINK element, or an inline STYLE element. In XML, this interface represents an external style sheet, included via a style sheet processing instruction .

Definition at line 58 of file css_stylesheet.h.

## Member Function Documentation

DOMString StyleSheet::type | ( |  | ) | const

| This specifies the style sheet language for this style sheet. The style sheet language is specified as a content type (e.g. "text/css"). The content type is often specified in the `ownerNode` . A list of registered content types can be found at ftp://ftp.isi.edu/in-notes/iana/assignments/media-types/ . Also see the type attribute definition for the `LINK` element in HTML 4.0, and the type pseudo-attribute for the XML style sheet processing instruction . Definition at line 70 of file css_stylesheet.cpp.

bool StyleSheet::disabled | ( |  | ) | const

| `false` if the style sheet is applied to the document. `true` if it is not. Modifying this attribute may cause a reresolution of style for the document. Definition at line 76 of file css_stylesheet.cpp.

void StyleSheet::setDisabled | ( | bool |  | ) |

| see disabled Definition at line 82 of file css_stylesheet.cpp.

DOM::Node StyleSheet::ownerNode | ( |  | ) | const

| The node that associates this style sheet with the document. For HTML, this may be the corresponding `LINK` or `STYLE` element. For XML, it may be the linking processing instruction. For style sheets that are included by other style sheets, this attribute has a value of null. Definition at line 88 of file css_stylesheet.cpp.

StyleSheet StyleSheet::parentStyleSheet | ( |  | ) | const

| For style sheet languages that support the concept of style sheet inclusion, this attribute represents the including style sheet, if one exists. If the style sheet is a top-level style sheet, or the style sheet language does not support inclusion, the value of the attribute is null. Definition at line 94 of file css_stylesheet.cpp.

DOMString StyleSheet::href | ( |  | ) | const

| If the style sheet is a linked style sheet, the value of its attribute is its location. For inline style sheets, the value of this attribute is null. See the href attribute definition for the `LINK` element in HTML 4.0, and the href pseudo-attribute for the XML style sheet processing instruction . Definition at line 100 of file css_stylesheet.cpp.

DOMString StyleSheet::title | ( |  | ) | const

| The advisory title. The title is often specified in the `ownerNode` . See the title attribute definition for the `LINK` element in HTML 4.0, and the title pseudo-attribute for the XML style sheet processing instruction . Definition at line 106 of file css_stylesheet.cpp.

MediaList StyleSheet::media | ( |  | ) | const

| The intended destination media for style information. The media is often specified in the `ownerNode` . See the media attribute definition for the `LINK` element in HTML 4.0, and the media pseudo-attribute for the XML style sheet processing instruction . Definition at line 112 of file css_stylesheet.cpp.

The documentation for this class was generated from the following files:

- css_stylesheet.h
- css_stylesheet.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:43 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001